<template>
	<view>
		<view class="main">
			<view class="main-body">
				<view class="body-container">
					<view class="container-block">
						<view class="">车牌号</view>
						<view class="">{{ faYunDetailobj.carNo || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">提煤单状态</view>
						<view class="">{{ coalStatus[faYunDetailobj.status] }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">入场时间</view>
						<view class="">{{ faYunDetailobj.inTime || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">皮重</view>
						<view class="">{{ faYunDetailobj.skin || 0 }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">毛重</view>
						<view class="">{{ faYunDetailobj.hair || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">净重</view>
						<view class="">{{ faYunDetailobj.clean || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">订单剩余量</view>
						<view class="">{{ faYunDetailobj.allowance || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">提煤单编号</view>
						<view class="">{{ faYunDetailobj.code || '' }}</view>
					</view>
				</view>
				<view class="body-container last">
					<view class="container-block">
						<view class="">订单编号</view>
						<view class="">{{ faYunDetailobj.orderCode || '' }}</view>
					</view>
				</view>
			</view>
			<view class="origin-info" v-if="faYunDetailobj.orderType == '外购' || faYunDetailobj.orderType == '内购' || faYunDetailobj.orderType == '转出'">
				<combined-title title="原发信息"></combined-title>
				<view class="body-container">
					<view class="container-block">
						<view class="">皮重</view>
						<view class="">{{ faYunDetailobj.skinTwo || 0 }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">毛重</view>
						<view class="">{{ faYunDetailobj.hairTwo || 0 }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">净重</view>
						<view class="">{{ faYunDetailobj.cleanTwo || 0 }}</view>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
import combinedTitle from '@/components/combined-title/combined-title.vue';
export default {
	components: {
		combinedTitle
	},
	data() {
		return {
			id: '',
			faYunDetailobj: {},
			coalStatus: ['领取', '预约', '签到', '入场', '称皮', '称毛', '离场', '入磅房', '出磅房', '入煤仓', '出煤仓', '放空', '作废', '入场申请', '进入场院']
		};
	},
	methods: {},
	onLoad(params) {
		this.id = params.id;
	},
	onShow() {
		this.$reqGet('getTakeCoal', { takeCoalId: this.id }).then(res => {
			if (res.code == 0) {
				this.faYunDetailobj = res.data;
			} else {
				this.$u.toast('获取数据失败');
			}
		});
	}
};
</script>

<style scoped lang="scss">
@mixin flex {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.main {
	width: 100%;
	margin-top: vww(10);
	@include flex;
	flex-direction: column;
	.main-body {
		width: 690rpx;
		height: 1062rpx;
		background: #ffffff;
		box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
		border-radius: 20rpx;
		@include flex;
		flex-direction: column;
		align-items: flex-start;
		.body-container {
			width: 100%;
			height: vww(56);
			border-bottom: vww(1) solid #d6d6d6;
			@include flex;
			justify-content: center;
			.container-block {
				width: 96%;
				height: vww(56);
				@include flex;
			}
		}
		.last {
			border-bottom: none;
		}
	}
	.origin-info {
		width: 690rpx;
		min-height: 300rpx;
		margin-top: 20rpx;
		margin-bottom: 20rpx;
		background: #ffffff;
		box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
		border-radius: 20rpx;
		@include flex;
		flex-direction: column;
		align-items: flex-start;
		.body-container {
			width: 100%;
			height: vww(56);
			border-bottom: vww(1) solid #d6d6d6;
			@include flex;
			justify-content: center;
			.container-block {
				width: 94%;
				@include flex;
			}
		}
	}
}
</style>
